import React, { useState } from "react";
import PropTypes from "prop-types";

const Layout = ({ children, direction }) => <div styles={{
    boxSizing: "border-box",
    width: "100%",
    overflowY: "auto",
    display: "flex",
    justifyContent: "space-evenly",
    flexDirection: direction === "horizontal" ? "row" : "column"
    }}>{children}</div>;

const Time = ({ children, yAxisWidth, width }) => <ul styles={{
        width: "100%",
        margin: 0,
        padding: 0,
        fontSize: "12px",
        background: "#b1b1b1",
        marginLeft: `${yAxisWidth}px`,
        width: `${width}px`,
    }}>{children}</ul>;

// li{
//     display: "inline-block",
//     listStyle: "none"
// }


const Calendar = ({ daysToShow, events, onChange, ...rest }) => {
    return (
        <Layout direction="horizontal">
            Hello
        </Layout>
    );
};

Calendar.propTypes = {
  timeDirection: PropTypes.string,
  dayDirection: PropTypes.string,
  blockPixelSize: PropTypes.number,
  onChange: PropTypes.func,
  daysToShow: PropTypes.array,
  viewMode: PropTypes.string,
  activeDate: PropTypes.object,
  events: PropTypes.oneOfType([PropTypes.array, PropTypes.object]),
  timeBlockMinutes: PropTypes.number,
  dayWidth: PropTypes.string,
  yAxisWidth: PropTypes.number,
  showFrom: PropTypes.number,
  showUntil: PropTypes.number,
  blockLabel: PropTypes.oneOfType([
    PropTypes.func,
    PropTypes.node
  ]),
  dayLabel: PropTypes.oneOfType([
    PropTypes.func,
    PropTypes.node
  ]),
};

Calendar.defaultProps = {
  timeDirection: "horizontal",
  dayDirection: "vertical",
  onChange: null,
  viewMode: "day",
  dayWidth: "100%",
  activeDate: null,
  blockPixelSize: 30,
  events: [],
  daysToShow: [],
  timeBlockMinutes: 30,
  yAxisWidth: 40,
  dayLabel: null,
  blockLabel: null
};

export default Calendar;